#
# spec file for package python-kuryr-tempest-plugin
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname kuryr-tempest-plugin
%global with_doc 0
%global common_desc \
This package contains Tempest tests to cover the kuryr-kubernetes project. \
Additionally it provides a plugin to automatically load these tests into Tempest.
Name:           python-kuryr-tempest-plugin
Version:        0.4.1
Release:        1.1
Summary:        Tempest plugin for the kuryr project.
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://git.openstack.org/cgit/openstack/kuryr-tempest-plugin
Source0:        https://files.pythonhosted.org/packages/source/k/kuryr-tempest-plugin/kuryr-tempest-plugin-0.4.1.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-pbr
BuildRequires:  python-reno
BuildRequires:  python-setuptools
Requires:       openstack-tempest
Requires:       python-kubernetes
Requires:       python-oslotest
Requires:       python-pbr
Requires:       python-six
Requires:       python-testrepository
Requires:       python-testtools
BuildArch:      noarch

%description
%{common_desc}

%if 0%{?with_doc}
%package doc
Summary:        Documentation for kuryr tempest plugin
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx

%description doc
It contains the documentation for the kuryr tempest tests.
%endif

%prep
%autosetup -n %{sname}-%{version}

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{py2_build}

# Generate Docs
%if 0%{?with_doc}
%{__python2} setup.py build_sphinx
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py2_install}

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/kuryr_tempest_plugin
%{python2_sitelib}/*.egg-info

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
